Page MenuHomePhabricator

[XRay][Arm32] Reduce the portion of the stub and implement more staging for tail calls - in compiler-rt
ClosedPublic

Authored by rSerge on Jan 13 2017, 5:28 AM.

Details

Summary

This patch provides more staging for tail calls in XRay Arm32 . When the logging part of XRay is ready for tail calls, its support in the core part of XRay Arm32 may be as easy as changing the number passed to the handler from 1 to 2.
Coupled patch:

Diff Detail

Event Timeline

rSerge updated this revision to Diff 84287.Jan 13 2017, 5:28 AM
rSerge retitled this revision from to [XRay][Arm32] Reduce the portion of the stub and implement more staging for tail calls - in compiler-rt.
rSerge updated this object.
rSerge added reviewers: dberris, rengolin.
rSerge added subscribers: iid_iunknown, llvm-commits.
rSerge updated this revision to Diff 84299.Jan 13 2017, 6:48 AM

Removed the patch piece which enables back testing of XRay on Arm32 , because it goes in a separate patch ( https://reviews.llvm.org/D28623 )

dberris accepted this revision.Jan 23 2017, 9:34 PM

I'll defer to @rengolin for the assembler details.

This revision is now accepted and ready to land.Jan 23 2017, 9:34 PM
rengolin accepted this revision.Jan 25 2017, 5:43 AM

Sorry, fell out of my radar. LGTM.

rSerge closed this revision.Jan 26 2017, 8:29 AM

Reached mainline in revision 293186.